import { Injectable } from "@angular/core";

import * as wjcOdata from '@grapecity/wijmo.odata';

@Injectable({
	providedIn: "root"
})
export class DataService {

	url = "https://services.odata.org/Northwind/Northwind.svc";

	constructor() {}

	getCategories() {
		return new wjcOdata.ODataCollectionView(this.url, "Categories", {
			fields: ['CategoryID', 'CategoryName', 'Description']
		});
	}

	getProduct(catId: number) {
		// call any API here
		var products = new wjcOdata.ODataCollectionView(this.url, "Products", {
			filterOnServer: false,
			filter: function(item, prop) {
				return item.CategoryID == catId;
			}
		});
		return products;
	}
}
